from ._base import BaseClient


class GeomagneticClient(BaseClient):
    def by_days(self, location):
        params = self._build_params(location, options=None, supports_days=False, supports_units=False, supports_lang=False)
        params, headers = self._with_auth(params)
        return self._transport.get("/v2/geomagnetic/by-days/", params=params, headers=headers)
